org.apache.axiom.soap

## Interface SOAPEnvelope

- All Superinterfaces:
    OMContainer, OMElement, OMInformationItem, OMNamedInformationItem, OMNode, OMSerializable

      public interface SOAPEnvelope
      extends OMElement

  Interface SOAPEnvelope

- - ### Field Summary

    - ### Fields inherited from interface org.apache.axiom.om.OMNode

      `CDATA_SECTION_NODE, COMMENT_NODE, DTD_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, PI_NODE, SPACE_NODE, TEXT_NODE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SOAPBody` | `getBody()` Returns the `SOAPBody` object associated with this `SOAPEnvelope` object.
    `SOAPHeader` | `getHeader()` Returns the `SOAPHeader` object for this envelope.
    `SOAPHeader` | `getOrCreateHeader()` Returns the existing `SOAPHeader` object for this envelope or creates a new one if there is none.
    `String` | `getSOAPBodyFirstElementLocalName()` Retrieves the local name of the first element in the body.
    `OMNamespace` | `getSOAPBodyFirstElementNS()` Retrieves the OMNamespace of the first element in the body.
    `SOAPVersion` | `getVersion()`
    `boolean` | `hasFault()` Returns true if there is a SOAPFault in the body.

    - ### Methods inherited from interface org.apache.axiom.om.OMElement

      `addAttribute, addAttribute, cloneOMElement, declareDefaultNamespace, declareNamespace, declareNamespace, findNamespace, findNamespaceURI, getAllAttributes, getAllDeclaredNamespaces, getAttribute, getAttributeValue, getChildElements, getDefaultNamespace, getFirstElement, getLineNumber, getNamespaceContext, getNamespacesInScope, getText, getTextAsQName, getTextAsStream, removeAttribute, resolveQName, serialize, serialize, serialize, serialize, serializeAndConsume, serializeAndConsume, serializeAndConsume, serializeAndConsume, setLineNumber, setNamespace, setNamespaceWithNoFindInCurrentScope, setText, setText, toString, toStringWithConsume, undeclarePrefix, writeTextTo`

    - ### Methods inherited from interface org.apache.axiom.om.OMNode

      `buildWithAttachments, detach, discard, getNextOMSibling, getParent, getPreviousOMSibling, getType, insertSiblingAfter, insertSiblingBefore`

    - ### Methods inherited from interface org.apache.axiom.om.OMContainer

      `addChild, getBuilder, getChildren, getChildrenWithLocalName, getChildrenWithName, getChildrenWithNamespaceURI, getDescendants, getFirstChildWithName, getFirstOMChild, getSAXResult, getSAXSource, getXMLStreamReader, getXMLStreamReader, getXMLStreamReader, getXMLStreamReaderWithoutCaching, removeChildren`

    - ### Methods inherited from interface org.apache.axiom.om.OMSerializable

      `build, close, isComplete, serialize, serialize, serializeAndConsume`

    - ### Methods inherited from interface org.apache.axiom.om.OMInformationItem

      `clone, getOMFactory`

    - ### Methods inherited from interface org.apache.axiom.om.OMNamedInformationItem

      `getLocalName, getNamespace, getNamespaceURI, getPrefix, getQName, hasName, setLocalName, setNamespace`

- - ### Method Detail

    - #### getHeader

          SOAPHeader getHeader()

      Returns the `SOAPHeader` object for this envelope. This method takes advantage of the fact that the `SOAPHeader` must be the first child element (if it exists) to avoid building the `SOAPBody` if it is still incomplete.
      Returns:
        the `SOAPHeader` object or `null` if there is none

    - #### getOrCreateHeader

          SOAPHeader getOrCreateHeader()

      Returns the existing `SOAPHeader` object for this envelope or creates a new one if there is none. Similarly to `getHeader()`, this method avoids building the `SOAPBody`.
      Returns:
        the existing or newly created `SOAPHeader` object for this envelope

    - #### getBody

          SOAPBody getBody()
                    throws OMException

      Returns the `SOAPBody` object associated with this `SOAPEnvelope` object.

      This SOAPBody will just be a container for all the BodyElements in the `OMMessage`

      Returns:
        the `SOAPBody` object for this `SOAPEnvelope` object or `null` if there is none
      Throws:
        `OMException` - if there is a problem obtaining the `SOAPBody` object

    - #### getVersion

          SOAPVersion getVersion()

    - #### hasFault

          boolean hasFault()

      Returns true if there is a SOAPFault in the body. The implementation may choose to get this information by building the OM tree or use parser provided information.
      Returns:
        true if SOAPFault in the body

    - #### getSOAPBodyFirstElementNS

          OMNamespace getSOAPBodyFirstElementNS()

      Retrieves the OMNamespace of the first element in the body. The implementation might build the OMElement or it may obtain this information from the builder/parser without building the OMElement. Use this method in the situations where you need to know the OMNamespace, but don't necessarily need the OMElement.
      Returns:
        the namespace of first element in the body, or `null` if the element has no namespace or the body is empty

    - #### getSOAPBodyFirstElementLocalName

          String getSOAPBodyFirstElementLocalName()

      Retrieves the local name of the first element in the body. The implementation might build the OMElement or it may obtain this information from the builder/parser without building the OMElement. Use this method in the situations where you need to know the name, but don't necessarily need the OMElement.
      Returns:
        local name of first element in the body or null

Copyright © The Apache Software Foundation. All Rights Reserved.